Before you begin

The topics in this section provide the procedures and the minimum system requirements your computer should meet before you start configuring WhatsApp Self Serve.

Verify prerequisites

📘

WhatsApp Self-Serve could work on systems or versions that aren't listed here. Gupshup's corporate support, on the other hand, is limited to computers that fulfill the basic criteria. If you run WhatsApp Self Serve on a machine that does not fulfill the requirements, Gupshup may not provide support.

Requirement

Specifications and supported versions

Hardware

An Intel Pentium 4 processor or later that's SSE3 capable.

Operating system

- Windows 7, Windows 8, Windows 8.1, Windows 10, or later.
- Mac OS X El Capitan 10.11 or later.
- 64-bit Ubuntu 18.04+, Debian 10+, openSUSE 15.2+, or Fedora Linux 32+.

Web browser

For best performance, current or previous major releases of Chrome, Firefox, Edge, or Safari are compatible.

Desktop resolution

The recommended display resolution recommended to operate the WhatsApp Self-Serve Platform is 1366 x 768 pixels.

Create service account

Implementation of the WhatsApp Self-Serve Platform requires many services to run. Each account that you set up must have the following characteristics:

  • It must have a password that does not expire.
  • It must have minimal access to network resources.

Create user account

  • You must sign up/ log in with a Google, Facebook, or Github account to develop an app on our platform.

🚧

If you require multiple users to access and maintain the same dashboard, be sure to create an account with credentials that you can share across your team.


What’s Next

In the next chapter of this guide, you'll get to know about APIs, modern world APIs, and how you can utilize them for the benefit of your business.

Did this page help you?